Create an outgoing transfer quote
curl --request POST \
--url https://api.example.com/payouts/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rail": "<string>",
"amount": "500.00"
}
'import requests
url = "https://api.example.com/payouts/preview"
payload = {
"rail": "<string>",
"amount": "500.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rail: '<string>', amount: '500.00'})
};
fetch('https://api.example.com/payouts/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"toAmount": "500.00",
"toCurrency": "<string>",
"minAmount": "500.00",
"feeAmount": "500.00",
"fixedFee": "500.00"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Money out
Create an outgoing transfer quote
Estimate rate, fees, limits and contact amount without creating a contact, transfer or external side effect.
POST
/
payouts
/
preview
Create an outgoing transfer quote
curl --request POST \
--url https://api.example.com/payouts/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rail": "<string>",
"amount": "500.00"
}
'import requests
url = "https://api.example.com/payouts/preview"
payload = {
"rail": "<string>",
"amount": "500.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rail: '<string>', amount: '500.00'})
};
fetch('https://api.example.com/payouts/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"toAmount": "500.00",
"toCurrency": "<string>",
"minAmount": "500.00",
"feeAmount": "500.00",
"fixedFee": "500.00"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The client account to act for, as a cl_… id. Omit it to act as yourself.
Example:
"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"
Body
application/json
Response
Successful Response
Estimated amount delivered in the destination currency.
Example:
"500.00"
Currency delivered by the preview.
Minimum supported source amount for this option.
Example:
"500.00"
Estimated variable fee.
Example:
"500.00"
Estimated fixed fee component.
Example:
"500.00"
Was this page helpful?